import { PrimaryKeyProp, defineEntity, p } from '@mikro-orm/core';

export class IcrTerminalmonitor {
  [PrimaryKeyProp]?: 'Id';
  Id!: bigint;
  TerminalCode?: string;
  TerminalName?: string;
  Status!: number;
  Revision!: number;
  CreatedBy?: bigint;
  CreatedTime!: Date;
  UpdatedBy?: bigint;
  UpdatedTime?: Date;
  IsDeleted!: unknown;
}

export const IcrTerminalmonitorSchema = defineEntity({
  class: IcrTerminalmonitor,
  comment: '终端监控',
  properties: {
    Id: p.bigint().primary().name('Id').unsigned(false).autoincrement(false).comment('主键Id'),
    TerminalCode: p.string().name('TerminalCode').nullable().comment('终端编码'),
    TerminalName: p.string().name('TerminalName').nullable().comment('终端名称'),
    Status: p.integer().name('Status').comment('终端状态'),
    Revision: p.integer().name('Revision').comment('乐观锁'),
    CreatedBy: p.bigint().name('CreatedBy').nullable().comment('创建者用户Id'),
    CreatedTime: p.datetime().name('CreatedTime').length(3).comment('创建时间'),
    UpdatedBy: p.bigint().name('UpdatedBy').nullable().comment('修改者用户Id'),
    UpdatedTime: p.datetime().name('UpdatedTime').length(3).nullable().comment('修改时间'),
    IsDeleted: p.array().name('IsDeleted').comment('是否删除'),
  },
});
